#pragma once

#include <string>
using std::string;

class OGLrendrer;
class Character;
class SplashScreen;


class Game
{
public:
	Game(void);
	virtual ~Game(void);
	void die();
	void levelComplete();
	void draw(OGLrendrer *ogl);
	Character *getChar();
	void checkState();
	string loadLevelFile(char *fileName);
	void tick();
	void keyPress(unsigned int keyPress);
private:
	unsigned int lives;
	bool died;
	bool lComplete;
	unsigned int currentLevel;
	unsigned int atSplash;
	SplashScreen *welcome1;
	SplashScreen *levelClear;
	SplashScreen *deathScreen;
	SplashScreen *gameOverScreen;
	SplashScreen *gameCompleteScreen;
};

